#!/usr/bin/env python 
from xml.dom.ext.reader.Sax import FromXmlFile 
from xml.dom import Node
import gtk

class Language:

    def __init__(self,aCode=None, aLabel = None):
	self.code = aCode
	self.label = aLabel
	
    def set_label(self, aLabel):
	self.label = aLabel

    def read_from_XML_tag(self, anXMLTag):
	aCode = anXMLTag.getAttribute("code")
	anInstance = Language(aCode)
        if anXMLTag.getAttribute("label") is not None:
            anInstance.set_label( anXMLTag.getAttribute("label") )
	return anInstance
    read_from_XML_tag = classmethod(read_from_XML_tag)

    def to_xml(self):
	return "<language code=\""+ self.code +"\" />"

    def get_icon(self):
        return gtk.gdk.pixbuf_new_from_file("languages/%s.xpm" % self.code)

class Subtitle(Language):
    on_screen = False

    def set_on_screen(self, aBooleanValue):
	self.on_screen = aBooleanValue

    def read_from_XML_tag(self, anXMLTag):
	aCode = anXMLTag.getAttribute("code")
	anInstance = Subtitle(aCode)
	if anXMLTag.getAttribute("onscreen") is None:
	  anInstance.set_on_screen(False)
	else:
	  if anXMLTag.getAttribute("onscreen") in ("true","True","TRUE"):
	    anInstance.set_on_screen(True)
	return anInstance
    read_from_XML_tag = classmethod(read_from_XML_tag)

    def to_xml(self):
	xml = "<subtitle code=\""+ self.code +"\""
	if self.on_screen:
	  xml += " onscreen=\"true\""
	return xml + " />"

    def __str__(self):
	return str(self.code)

